name: keid-overview
version: 0.1.0.0
git: "https://gitlab.com/keid/examples/overview"
license: BSD3
author: "IC Rainbow"
maintainer: "aenor.realm@gmail.com"
copyright: "IC Rainbow"

extra-source-files:
- README.md

# Metadata used when publishing your package
# synopsis:            Short description of your package
# category:            Web

# To avoid duplicated efforts in documentation and dealing with the
# complications of embedding Haddock markup inside cabal files, it is
# common to point users to the README.md file.
description:         Please see the README on GitHub at <https://github.com/dpwiz/keid-overview#readme>

dependencies:
- base >= 4.7 && < 5
- rio

executables:
  keid-overview:
    source-dirs: app
    main: Main.lhs
    ghc-options:
    - -pgmL markdown-unlit
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    build-tools:
    - markdown-unlit
    dependencies:
    - geomancy
    - keid-core
    - keid-geometry
    - keid-render-basic
    - vulkan
    - resourcet

ghc-options:
- -Wall
- -Wcompat
- -Widentities
- -Wincomplete-record-updates
- -Wincomplete-uni-patterns
- -Wpartial-fields
- -Wredundant-constraints

language: GHC2021
default-extensions:
- NoImplicitPrelude

- ApplicativeDo
- BinaryLiterals
- BlockArguments
- DataKinds
- DefaultSignatures
- DerivingStrategies
- DerivingVia
- DuplicateRecordFields
- FunctionalDependencies
- HexFloatLiterals
- ImportQualifiedPost
- LambdaCase
- NamedFieldPuns
- NumDecimals
- OverloadedRecordDot
- OverloadedStrings
- PatternSynonyms
- QuasiQuotes
- RecordWildCards
- StrictData
- TemplateHaskell
- TypeFamilies
- TypeOperators
- ViewPatterns
